Небезопасное использование временных файлов в GNU Emacs

Дата публикации:
21.04.2008
Дата изменения:
21.04.2008
Всего просмотров:
904
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Emacs 21.x
GNU Emacs 22.x
XEmacs 21.x
Уязвимые версии: GNU Emacs 21.4a и 22.2, возможно более ранние версии

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за того, что утилита lib-src/vcdiff использует временные файлы небезопасным образом. Локальный пользователь может с помощью специально сформированной символической ссылки повысить свои привилегии на системе.

URL производителя: www.gnu.org/software/emacs/emacs.html

Решение: Установите исправление из CVS репозитория производителя.

или введите имя

CAPTCHA